dnl ---------------------------------------------------------------------------
dnl FP_GETARG_ENABLE
dnl
dnl Macro arguments:
dnl $1 = the name of the --enable feature
dnl $2 = the name of the variable associated
dnl $3 = the description of that feature
dnl $4 = the default value for that feature
dnl $5 = additional action to do in case option is given with "yes" value
dnl ---------------------------------------------------------------------------
AC_DEFUN([FP_GETARG_ENABLE],
         [AC_ARG_ENABLE($1,
            AC_HELP_STRING([--enable-$1], [$3 (default is $4)]),
            [], [enableval="$4"])

            if test "$enableval" = "no" || test "$enableval" = "disable" ; then
        	    dnl Show a message to the user about this option
                AC_MSG_CHECKING([for the --enable-$1 option])
                AC_MSG_RESULT([disable both install and uninstall])
                $2=no
            elif test "$enableval" = "install_only" ; then
                AC_MSG_CHECKING([for the --enable-$1 option])
                AC_MSG_RESULT([disable uninstall only])
                $2=install_only
            elif test "$enableval" = "uninstall_only" ; then
                AC_MSG_CHECKING([for the --enable-$1 option])
                AC_MSG_RESULT([disable install only])
                $2=uninstall_only
            else
        	    dnl Anything else is install both. No need to burble about it
                $2=yes
                $5
            fi
         ])


